<div class="account-settings mb-5">
  <h1 class="mat-h1">Moje konto</h1>
  <mat-divider class="mb-2"></mat-divider>

  <mat-card>
    <form [formGroup]="accountSettingsForm" (submit)="onSubmit()">
      <div fxLayout="row" fxLayout.md="column" fxLayoutGap="50px" fxLayout.xs="15px">

        <div class="container" fxLayout="column" fxFlex>
          <h1 class="mat-headline">Twoje dane osobowe</h1>

          <mat-form-field>
            <input formControlName="position" matInput placeholder="Stanowisko pracy (do odczytu)">
          </mat-form-field>

          <mat-form-field>
            <input formControlName="department" matInput placeholder="Dział w firmie (do odczytu)">
          </mat-form-field>

          <mat-form-field>
            <input formControlName="hireDate" matInput [matDatepicker]="hireDatePicker"
                   placeholder="Zatrudniony od (do odczytu)">
            <mat-datepicker-toggle matSuffix [for]="hireDatePicker"></mat-datepicker-toggle>
            <mat-datepicker #hireDatePicker></mat-datepicker>
          </mat-form-field>

          <mat-form-field>
            <input formControlName="email" matInput placeholder="Email">
            <mat-error>Nieprawidłowy adres email.</mat-error>
          </mat-form-field>

          <mat-form-field>
            <input formControlName="firstName" matInput placeholder="Imię">
            <mat-error>Twoje imię jest wymagane.</mat-error>
          </mat-form-field>

          <mat-form-field>
            <input formControlName="lastName" matInput placeholder="Nazwisko">
            <mat-error>Twoje nazwisko jest wymagane.</mat-error>
          </mat-form-field>

          <mat-radio-group formControlName="gender">
            <mat-label>Płeć:</mat-label>
            <mat-radio-button value="male">Mężczyzna</mat-radio-button>
            <mat-radio-button value="female">Kobieta</mat-radio-button>
            <mat-radio-button value="other">Inna</mat-radio-button>
          </mat-radio-group>

          <mat-form-field>
            <input formControlName="birthDate" matInput [matDatepicker]="picker" placeholder="Data urodzenia">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
          </mat-form-field>

          <mat-form-field>
            <input formControlName="phoneNumber" #phoneNumber matInput type="number" maxlength="9" required
                   placeholder="Numer telefonu">
            <mat-hint align="end">{{phoneNumber.value.length}} / 9</mat-hint>
            <mat-error>Numer telefonu jest wymagany i musi składać się z 9 cyfr.</mat-error>
          </mat-form-field>
        </div>

        <div class="container" fxLayout="column" fxFlex>
          <h1 class="mat-headline">Twoje dane kontaktowe</h1>

          <mat-form-field>
            <input formControlName="street" matInput placeholder="Ulica">
          </mat-form-field>
          <mat-form-field>
            <input formControlName="houseNo" matInput placeholder="Numer domu">
          </mat-form-field>

          <mat-form-field>
            <input formControlName="flatNo" matInput placeholder="Numer mieszkania">
          </mat-form-field>

          <mat-form-field>
            <input formControlName="city" matInput placeholder="Miasto">
          </mat-form-field>

          <mat-form-field>
            <input formControlName="zipCode" matInput #postalCode maxlength="6" placeholder="Kod pocztowy">
            <mat-hint align="end">{{postalCode.value.length}} / 6</mat-hint>
          </mat-form-field>

          <mat-form-field>
            <input formControlName="province" matInput placeholder="Województwo">
          </mat-form-field>

        </div>
      </div>
      <div class="button-row">
        <button mat-raised-button color="primary" type="submit" [disabled]="accountSettingsForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
        <button mat-raised-button type="button" color="accent" class="mat-raised-button mat-primary" (click)="onChangePasswordDialog()">
          Zmień hasło do konta
        </button>
      </div>
    </form>

  </mat-card>
</div>
